Docs
Esc

Suggested

QuickstartGet started
Webhooks and signaturesMessaging
Create a messagemessages.create · POST /v1/accounts/{AC}/messages
RATE_LIMITED429 · Rate limit exceeded.
message.deliveredMessage resource
Contents

API reference

Flows

API reference descriptions are provided in English to preserve the exact published contract.

List Flows

GET/v1/accounts/{AC}/flows

flows.listSDK operation getV1AccountsByAcFlows

Parameters

  • limitinteger (1–100)query
  • cursorstring (max 2048 chars)query
  • statusstring (max 32 chars)query

Create a local Flow draft

POST/v1/accounts/{AC}/flows

flows.createSDK operation postV1AccountsByAcFlows

Request body

  • categoriesstring (max 64 chars)[]Required
  • definitionobjectRequired
  • namestring (max 256 chars)Required
  • wabaSidstring (WB… SID)Required
  • endpointModeenum

    gatewaydirect

  • endpointPublicKeystring (max 8192 chars)
  • endpointUristring (uri, max 2048 chars)

Fetch a Flow

GET/v1/accounts/{AC}/flows/{FL}

flows.retrieveSDK operation getV1AccountsByAcFlowsByFl

Parameters

  • FLstring (FL… SID)Required

Edit a Flow draft

PATCH/v1/accounts/{AC}/flows/{FL}

flows.updateSDK operation patchV1AccountsByAcFlowsByFl

Parameters

  • FLstring (FL… SID)Required

Request body

  • categoriesstring (max 64 chars)[]
  • definitionobject
  • endpointModeenum

    gatewaydirect

  • endpointPublicKeystring (max 8192 chars)
  • endpointUristring (uri, max 2048 chars)
  • namestring (max 256 chars)

Clone a Flow definition into a new editable draft

POST/v1/accounts/{AC}/flows/{FL}/clone

flows.cloneSDK operation postV1AccountsByAcFlowsByFlClone

Parameters

  • FLstring (FL… SID)Required

Request body

  • namestring (max 256 chars)Required

Deprecate a Flow through Meta

POST/v1/accounts/{AC}/flows/{FL}/deprecate

flows.deprecateSDK operation postV1AccountsByAcFlowsByFlDeprecate

Parameters

  • FLstring (FL… SID)Required

Rotate the plaintext-signing secret for a gateway Flow endpoint

POST/v1/accounts/{AC}/flows/{FL}/endpoint/secret/rotate

flows.endpoint.secret.rotateSDK operation postV1AccountsByAcFlowsByFlEndpointSecretRotate

Parameters

  • FLstring (FL… SID)Required

List immutable Flow definition versions

GET/v1/accounts/{AC}/flows/{FL}/history

flows.history.listSDK operation getV1AccountsByAcFlowsByFlHistory

Parameters

  • FLstring (FL… SID)Required
  • limitinteger (1–100)query
  • cursorstring (max 2048 chars)query

Publish a Flow through Meta

POST/v1/accounts/{AC}/flows/{FL}/publish

flows.publishSDK operation postV1AccountsByAcFlowsByFlPublish

Parameters

  • FLstring (FL… SID)Required

Flow endpoint and per-sender encryption-key readiness

GET/v1/accounts/{AC}/flows/{FL}/readiness

flows.readiness.listSDK operation getV1AccountsByAcFlowsByFlReadiness

Parameters

  • FLstring (FL… SID)Required